Get Calendar Event
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/calendar_events/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"calendar_event": {
"id": "cale_q3volvo1",
"title": "Volvo AB Q3 2026 interim report",
"description": "Publication of the interim report for Q3 2026 and earnings call at 10:00 CET.",
"event_type": "earnings_report",
"status": "scheduled",
"date_precision": "exact",
"fiscal_period": "q3_2026",
"scheduled_at": "2026-10-22T05:00:00.000Z",
"timezone": "Europe/Stockholm",
"local_time": "2026-10-22T07:00:00.000+02:00",
"scheduled_at_changed_at": null,
"source_article_id": "art_xyz45678",
"company_id": "w55fcw3pbg3p",
"country": "SE",
"dividend": null,
"updated_at": "2026-03-01T09:00:00.000Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.nordicfinancialnews.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource could not be found",
"instance": "urn:request:a1b2c3"
}Calendar Events
Get Calendar Event
Fetches a single scheduled calendar event by ID. Cancelled or discarded events return 404.
Responses are cached with ETag and Last-Modified headers and a private, max-age=300 Cache-Control; clients can send If-None-Match to receive a 304 Not Modified.
GET
/
api
/
v1
/
calendar_events
/
{public_id}
Get Calendar Event
curl --request GET \
--url https://nordicfinancialnews.com/api/v1/calendar_events/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nordicfinancialnews.com/api/v1/calendar_events/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"calendar_event": {
"id": "cale_q3volvo1",
"title": "Volvo AB Q3 2026 interim report",
"description": "Publication of the interim report for Q3 2026 and earnings call at 10:00 CET.",
"event_type": "earnings_report",
"status": "scheduled",
"date_precision": "exact",
"fiscal_period": "q3_2026",
"scheduled_at": "2026-10-22T05:00:00.000Z",
"timezone": "Europe/Stockholm",
"local_time": "2026-10-22T07:00:00.000+02:00",
"scheduled_at_changed_at": null,
"source_article_id": "art_xyz45678",
"company_id": "w55fcw3pbg3p",
"country": "SE",
"dividend": null,
"updated_at": "2026-03-01T09:00:00.000Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.nordicfinancialnews.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource could not be found",
"instance": "urn:request:a1b2c3"
}Last modified on August 21, 2026
⌘I